@charset "UTF-8";

:root {
    --sc-white: #ffffee;
    --sc-font: "EB Garamond";
}

body {
    max-width: 1080px;
    margin: 0 auto;
    padding: 0 1em;
    font: 24pt var(--sc-font);
    color: black;
    background-color: var(--sc-white);
}

::selection {
    background-color: yellow;
    color: black;
}

p {
    text-align: justify;
}

a {
    background: black;
    color: var(--sc-white);
    margin: 0.5em 0.25em;
    border-radius: 0.1em;
}

blockquote {
    margin: 0.75em 0;
    padding: 0.75em;
    border-left: 0.2em solid black;
    color: black;
}
blockquote * {
    margin: 0;
}

h1, h2, h3 {
    font-family: var(--sc-font);
    text-align: center;
    color: var(--sc-white);
    background-color: black;
    margin: 0;
    padding: 0.1em 0.25em;
    /* Selections are inverse of the color scheme. */
}
h1::selection, h1 *::selection,
h2::selection, h2 *::selection,
h3::selection, h3 *::selection,
a::selection, a *::selection {
    color: yellow;
    background-color: transparent;
}

h1 {
    font-size: 64pt;
}

h2 {
    font-size: 48pt;
}

h3 {
    font-size: 36pt;
}

/*
mark {
    background-color: yellow;
    color: black;
}
*/

/* For all pages. */
#navigation {
    display: flex;
    justify-content: center;
}

#navigation a {
    font-size: 28pt;
    line-height: 1.25;
    padding: 0.25em 0.15em;
}

.footnotes {
    color: #4f4f4f;
    font-size: 16pt;
    font-style: italic;
}

li {
    margin: 0.5em;
}

/* li */.post-card {
    margin: 0.5em;
}
.post-card::marker {
    content: "↯ ";
}
.post-card a {
    font-size: 36pt;
    background: transparent;
    color: black;
}
.post-card a::selection {
    color: black;
    background: yellow;
}

/* li */.post-date {
    color: var(--sc-white);
    background: black;
}
